// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// AuthExchangeRequest auth exchange request
//
// swagger:model authExchangeRequest
type AuthExchangeRequest struct {

	// user refresh token
	Token string `json:"token,omitempty"`
}

// Validate validates this auth exchange request
func (m *AuthExchangeRequest) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *AuthExchangeRequest) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *AuthExchangeRequest) UnmarshalBinary(b []byte) error {
	var res AuthExchangeRequest
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
